---
- name: EPEL release
  yum: "name={{ item }} state=latest disable_gpg_check=yes"
  with_items:
    - epel-release
  tags: systembase
  when: ansible_distribution == 'CentOS'

#- name: rebuild the yum cache
#  command: yum makecache

- name: yum base tools
  yum: "name={{ item }} state=latest disable_gpg_check=yes"
  with_items:
    - atop
    - lrzsz
    - net-tools
    - python-pip
    - vim
    - redhat-lsb-core
  tags: systembase
  when: ansible_distribution == 'CentOS'

- name: apt base tools
  apt: "name={{ item }} state=latest"
  with_items:
    - atop
    - lrzsz
    - python-pip
    - vim
    - unzip
    - build-essential
    - libreadline-dev
    - libncurses5-dev
    - libpcre3
    - libpcre3-dev
    - libssl-dev
    - zlib1g-dev
    - git
    - perl
    - make
    - libjemalloc1
    - libjemalloc-dev
    - daemon
  tags: systembase
  when: ansible_distribution == 'Ubuntu'
